Replies: 3 comments 1 reply
-
There exists a scale(factor) for Shapes. But I need this for a Workplane-Object. Please help. |
Beta Was this translation helpful? Give feedback.
0 replies
-
You can call scale on the wrapped object and it will be as if you called it on the Workplane itself. import cadquery as cq
box = cq.Workplane().box(10, 10, 10)
cylinder = cq.Workplane().center(10, 10).cylinder(10, 5)
box = box.val().scale(0.1)
show_object(box)
show_object(cylinder) |
Beta Was this translation helpful? Give feedback.
1 reply
-
Potentially related issues on anisotropic scaling. #225 (that was before the switch to OCP) |
Beta Was this translation helpful? Give feedback.
0 replies
Sign up for free
to join this conversation on GitHub.
Already have an account?
Sign in to comment
-
How to scale a CQ-Object without changing the dimension of the box? I am looking for the counterpart of OpenSCAD scale([xy,z]). I have searched in the online-manual, but could not find a solution there. This is a functionality needed very often, e.g. when printing a shrunk prototype with a 3D-printer.
Beta Was this translation helpful? Give feedback.
All reactions